CartonCloud API
​string · uuid · required​string · enum · required​ChargeClassCode · enum · required​string · required​object | null
Endpoints related to Charge Classes.
Get list of charge classes with display names and default accounts
GET
https://api.cartoncloud.com
/tenants/{tenantId}/charge-classes
required permission: VIEW_CHARGE_CLASSES
Returns a list of all charge classes with their code ENUM values,
display names, and associated default account IDs. Used by clients to determine
default accounts when creating fee categories or adhoc charges.
path Parameters
tenantIdTenant ID. Can be found in organisation settings
Headers
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
Enum values:
8
Get list of charge classes with display names and default accounts › Responses
Success
List of all charge classes with their code, display name, and default account.
codeThe entity type that a fee category or charge applies to.
Enum values:
CONSIGNMENT
MANIFEST
SALE_ORDER
PURCHASE_ORDER
STORAGE_PERIOD
RUN_SHEET
nameHuman-readable charge class display name.
defaultAccountThe default account associated with this charge class.